JavaScript/jQuery Switch - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the Switch features that you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The Switch component meets a variety of Section 508 and WCAG 2.x compliance standards. Known exceptions:

Section 508 criteria WCAG 2.x criteria Exception description
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
1.4.3 Contrast (Minimum) (Level AA)
1.4.11 Non-text Contrast (Level AA 2.1 and 2.2)
Switch does not support Windows High Contrast themes.

Keyboard Navigation

A user can use the following keys to interact with the Switch component:

Key Action
Enter or Space Changes the UI component value.
Changes the switch state to "On".
Changes the switch state to "Off".

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

JavaScript
  • function registerKeyHandlers () {
  • const switch = $("#switchContainer").dxSwitch("instance");
  • switch.registerKeyHandler("backspace", function(e) {
  • // The argument "e" contains information on the event
  • });
  • switch.registerKeyHandler("space", function(e) {
  • // ...
  • });
  • }

Screen Reader Support

The Switch component supports screen readers and complies to WAI-ARIA standards.

React Switch - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the Switch features that you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The Switch component meets a variety of Section 508 and WCAG 2.x compliance standards. Known exceptions:

Section 508 criteria WCAG 2.x criteria Exception description
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
1.4.3 Contrast (Minimum) (Level AA)
1.4.11 Non-text Contrast (Level AA 2.1 and 2.2)
Switch does not support Windows High Contrast themes.

Keyboard Navigation

A user can use the following keys to interact with the Switch component:

Key Action
Enter or Space Changes the UI component value.
Changes the switch state to "On".
Changes the switch state to "Off".

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Switch } from 'devextreme-react/switch';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.switchRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <Switch ref={this.switchRef} />
  • );
  • }
  •  
  • get switch() {
  • return this.switchRef.current.instance();
  • }
  •  
  • componentDidMount() {
  • this.switch.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.switch.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;

Screen Reader Support

The Switch component supports screen readers and complies to WAI-ARIA standards.